## makefile.in by Christian Marillat <marillat@debian.org>
## Makefile tweaks.

--- sawfish-1.3.orig/lisp/sawfish/gtk/Makefile.in	Sat Sep  2 13:23:52 2000
+++ sawfish-1.3/lisp/sawfish/gtk/Makefile.in	Fri Feb 16 18:36:13 2001
@@ -28,7 +28,7 @@
 VPATH=@srcdir@:@top_srcdir@
 
 REP_GTK_GNOME=@REP_GTK_GNOME@
-REP_ENVIRON:=$(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp
+REP_ENVIRON:=$(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp:$(top_builddir)/lisp
 
 SRCS :=	color-preview.jl	\
 	stock.jl		\
--- sawfish-1.3.orig/lisp/sawfish/ui/Makefile.in	Wed Nov 29 00:53:52 2000
+++ sawfish-1.3/lisp/sawfish/ui/Makefile.in	Fri Feb 16 18:36:18 2001
@@ -28,7 +28,7 @@
 VPATH=@srcdir@:@top_srcdir@
 
 REP_GTK_GNOME=@REP_GTK_GNOME@
-REP_ENVIRON:=$(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp
+REP_ENVIRON:=$(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp:$(top_builddir)/lisp
 
 ifeq ($(REP_GTK_GNOME),yes)
  GNOME:=
--- sawfish-1.3.orig/scripts/Makefile.in	Thu Nov 16 21:59:47 2000
+++ sawfish-1.3/scripts/Makefile.in	Fri Feb 16 18:35:59 2001
@@ -29,7 +29,7 @@
 LISP_SRCS := sawfish-menu.jl sawfish-client.jl sawfish-about.jl
 LISP_OBJS := $(LISP_SRCS:.jl=.jlc)
 
-REP_ENVIRON := $(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp
+REP_ENVIRON := $(REP_ENVIRON) REP_LOAD_PATH=$(top_srcdir)/lisp:$(top_builddir)/lisp
 
 SUBSTS := -e "s|__lispdir__|$(lispdir)|" \
 	  -e "s|__localedir__|$(localedir)|" \
--- sawfish-1.3.orig/src/Makefile.in	Fri Sep  1 23:45:15 2000
+++ sawfish-1.3/src/Makefile.in	Sat Feb 17 10:32:51 2001
@@ -70,7 +70,7 @@
 	$(foreach x,$(DL_DSTS),\
 	  $(rep_LIBTOOL) --mode=install $(INSTALL_PROGRAM) \
 	  $(notdir $(x)) $(DESTDIR)$(sawfishexecdir)/$(dir $(x));)
-	$(rep_INSTALL_ALIASES) -c . $(DESTDIR)$(sawfishexecdir)
+	$(rep_INSTALL_ALIASES) -c $(srcdir) $(DESTDIR)$(sawfishexecdir)
 	$(rep_LIBTOOL) --mode=install $(INSTALL_PROGRAM) client.la $(DESTDIR)$(repexecdir)/sawfish/
 
 uninstall :
